summaryrefslogtreecommitdiffstats
path: root/scripts/check-bt-parsability
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/check-bt-parsability')
-rwxr-xr-xscripts/check-bt-parsability20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/check-bt-parsability b/scripts/check-bt-parsability
new file mode 100755
index 00000000..a5018bfa
--- /dev/null
+++ b/scripts/check-bt-parsability
@@ -0,0 +1,20 @@
+#!/bin/bash
+# -*- mode: bash -*-
+
+PASS=0
+FAIL=0
+for file in *.bt
+do
+ #echo "$file"
+ ./abrt-backtrace $file 1> /dev/null
+ if [ "$?" -eq "0" ]
+ then
+ echo -n "."
+ PASS=$(($PASS+1))
+ else
+ echo "-$file"
+ FAIL=$(($FAIL+1))
+ fi
+done
+echo ""
+echo "Passed $PASS and failed $FAIL."